%define module	UNIVERSAL-require
%define name	perl-%{module}
%define	modprefix UNIVERSAL
%define version	0.10
%define release	%mkrel 7

Summary:	Require modules from a variable
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://www.cpan.org/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{module}/
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Test::More) >= 0.47
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Conflicts:	perl-UNIVERSAL-exports < 0.03-3mdk

%define _provides_exceptions perl(UNIVERSAL)

%description
This module creates a universal require() class method that will work with
every Perl module and is secure.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{perl_vendorlib}/UNIVERSAL
%{_mandir}/*/*

%changelog
* Tue Sep 05 2006 Scott Karns <scottk@mandriva.org>
+ 2006-09-05 11:45:55 (60004)
- bump release for rebuild

* Tue Sep 05 2006 Scott Karns <scottk@mandriva.org>
+ 2006-09-05 11:44:46 (60002)
- spec file cleanup
- rebuild


* Tue Sep 05 2006 Scott Karns <scottk@mandriva.org>
+ 2006-09-05 11:36:15 (59996)
Import perl-UNIVERSAL-require

* Mon May 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.10-6mdk
- Don't provide perl(UNIVERSAL)

* Fri May 05 2006 Scott Karns <scottk@mandriva.org> 0.10-5mdk
- Updated BuildRequires

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.10-4mdk
- Revert breakage on Conflicts tks Rgs for the explanation

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.10-3mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Tue Nov 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.10-2mdk
- Add Conflicts with older perl-UNIVERSAL-exports package

* Mon Nov 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.10-1mdk
- Initial MDV package

